library(stockassessment)

oldwd<-setwd("data")

  cn<-read.ices("cn.dat"); print(cn)
  cw<-read.ices("cw.dat"); print(cw)
  dw<-read.ices("dw.dat"); print(dw)
  lw<-read.ices("lw.dat"); print(lw)
  mo<-read.ices("mo.dat"); print(mo)
  nm<-read.ices("nm.dat"); print(nm)
  pf<-read.ices("pf.dat"); print(pf)
  pm<-read.ices("pm.dat"); print(pm)
  sw<-read.ices("sw.dat"); print(sw)
  lf<-read.ices("lf.dat"); print(lf)
  surveys<-read.ices("survey.dat"); print(surveys)

setwd(oldwd)

dat<-setup.sam.data(surveys=surveys,
                    residual.fleet=cn, 
                    prop.mature=mo, 
                    stock.mean.weight=sw, 
                    catch.mean.weight=cw, 
                    dis.mean.weight=dw, 
                    land.mean.weight=lw,
                    prop.f=pf, 
                    prop.m=pm, 
                    natural.mortality=nm, 
                    land.frac=lf)


save(dat, file="run/data.RData")
